@use "../../../styles/defaults";

.slide {
  margin: 8rem 0 0;
  .slide-body {
    margin: 0 defaults.$spacing 10.8rem;
    display: flex;
    justify-content: space-between;
    opacity: 0;
    visibility: hidden;
    &.fade-in-left {
      opacity: 1;
      visibility: visible;
      animation: fadeInLeft 1s;
    }
    &.fade-in-right {
      opacity: 1;
      visibility: visible;
      animation: fadeInRight 1s;
    }
    &.translate-left {
      animation: translateLeft 0.6s;
    }
    &.translate-right {
      animation: translateRight 0.6s;
    }
    .left {
      flex-basis: 30%;
      .painting-wrapper {
        position: relative;
        .painting {
          width: 100%;
          display: block;
        }
        .title-artist {
          position: absolute;
          top: 0;
          left: 90%;
          width: 100%;
          background-color: #fff;
          padding: 0 0 4.8rem 4.8rem;
          .title {
            font-size: 3.6rem;
            font-weight: 700;
            margin-bottom: 1.2rem;
            width: 80%;
          }
          .artist {
            font-size: 1.2rem;
            color: #888;
          }
        }
        .artist-photo {
          position: absolute;
          top: 92.5%;
          left: 104%;
          width: 20%;
        }
        .view-image-wrapper {
          cursor: pointer;
          position: absolute;
          bottom: 1rem;
          left: 1rem;
          background-color: #000;
          color: #ddd;
          text-transform: uppercase;
          display: flex;
          justify-content: center;
          align-items: center;
          gap: 0.8rem;
          padding: 0.6rem 0.8rem;
          transition: background-color 0.3s;
          &:hover {
            background-color: #111;
          }
          .expand-arrows-icon {
            width: 0.9rem;
          }
          .view-image {
            font-size: 0.8rem;
            letter-spacing: 0.2rem;
          }
        }
      }
    }
    .right {
      flex-basis: 30%;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      padding-top: 10.8rem;
      .description-wrapper {
        position: relative;
      }
      .year {
        position: absolute;
        bottom: 80%;
        left: -1rem;
        font-size: 17rem;
        color: rgba(221, 221, 221, 0.3);
        font-weight: 700;
      }
      .description {
        width: 70%;
        font-size: 1.2rem;
        line-height: 1.9;
        color: #666;
        font-weight: 500;
      }
      .source {
        color: #666;
        text-transform: uppercase;
        letter-spacing: 0.15rem;
        font-weight: 500;
        font-size: 0.8rem;
        text-decoration: none;
        padding-bottom: 0.4rem;
        border-bottom: 0.1rem solid #ddd;
        align-self: flex-start;
      }
    }
  }
}

@media screen and (max-width: 1024px) {
  .slide {
    margin: 3.2rem 0 0;
    .slide-body {
      margin: 0 10.8rem 6.4rem;
      flex-direction: column;
      .left {
        flex-basis: 100%;
        .painting-wrapper {
          .painting {
            width: 60%;
          }
          .title-artist {
            padding: 3.2rem;
            left: 50%;
            width: 50%;
            .title {
              font-size: 2.8rem;
              margin-bottom: 1rem;
            }
          }
          .artist-photo {
            top: 50%;
            transform: translateY(50%);
            left: 65%;
            width: 12%;
          }
        }
      }
      .right {
        flex-basis: 100%;
        width: 100%;
        padding: 15rem 0 0 0;
        .year {
          bottom: 50%;
          left: 0;
          font-size: 17rem;
        }
        .description {
          margin-bottom: 3.2rem;
        }
      }
    }
  }
}

@media screen and (max-width: 700px) {
  .slide {
    margin: 2.4rem 0 0;
    .slide-body {
      margin: 0 2.4rem 4.8rem;
      .left {
        .painting-wrapper {
          .painting {
            width: 100%;
          }
          .title-artist {
            padding: 2.4rem;
            top: 85%;
            left: 0;
            width: 85%;
            .title {
              font-size: 2rem;
              margin-bottom: 0.8rem;
              width: 100%;
            }
          }
          .artist-photo {
            top: 100%;
            left: 0;
            width: 10%;
          }
          .view-image-wrapper {
            top: 2.4rem;
            bottom: auto;
            left: 2.4rem;
            padding: 0.8rem 1rem;
            .expand-arrows-icon {
              width: 1.2rem;
            }
            .view-image {
              font-size: 1.1rem;
            }
          }
        }
      }
      .right {
        flex-basis: 100%;
        width: 100%;
        padding: 12rem 0 0 0;
        .year {
          bottom: 70%;
          left: auto;
          right: 0;
          font-size: 12rem;
        }
        .description {
          font-size: 1.3rem;
          width: 100%;
          margin-bottom: 2.4rem;
        }
      }
    }
  }
}

@media screen and (max-width: 500px) {
  .slide {
    .slide-body {
      .left {
        .painting-wrapper {
          .title-artist {
            padding: 1.6rem;
            width: 90%;
            .title {
              font-size: 1.6rem;
              margin-bottom: 0.6rem;
            }
            .artist {
              font-size: 1rem;
            }
          }
          .artist-photo {
            top: 105%;
          }
        }
      }
    }
  }
}

@media screen and (max-width: 350px) {
  .slide {
    .slide-body {
      .left {
        .painting-wrapper {
          .title-artist {
            padding: 1.2rem;
            width: 100%;
          }
          .artist-photo {
            top: 110%;
          }
        }
      }
      .right {
        .year {
          font-size: 10.8rem;
          bottom: 80%;
        }
      }
    }
  }
}

@keyframes fadeInLeft {
  from {
    opacity: 0;
    visibility: hidden;
    transform: translateX(10.8rem);
  }
  to {
    opacity: 1;
    visibility: visible;
    transform: translateX(0);
  }
}

@keyframes fadeInRight {
  from {
    opacity: 0;
    visibility: hidden;
    transform: translateX(-10.8rem);
  }
  to {
    opacity: 1;
    visibility: visible;
    transform: translateX(0);
  }
}

@keyframes translateLeft {
  from {
    opacity: 1;

    transform: translateX(0);
  }
  to {
    transform: translateX(-10.8rem);
    opacity: 0;
  }
}

@keyframes translateRight {
  from {
    opacity: 1;
    transform: translateX(0);
  }
  to {
    opacity: 0;
    transform: translateX(10.8rem);
  }
}
